using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsFaultDiagnosis {
        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "건물번호"), Key]
        public int BuildingId { get; set; }
        [Display(Name = "가동 설비 번호"), Key]
        public int DeviceId { get; set; }
        [Display(Name = "생성일시"), Key]
        public DateTime CreatedDate { get; set; }
        [Display(Name = "결함타입"), Key]
        public int FaultTypeId { get; set; }
        [Display(Name = "심각성 타입"), Key]
        public int ServerityLevel { get; set; }
        [Display(Name = "Tev")]
        public double? Tev { get; set; }
        [Display(Name = "Tcd")]
        public double? Tcd { get; set; }
        public double? LMTDcd { get; set; }
        public double? LMTDev { get; set; }
        public double? Mref { get; set; }
        public double? Effpoly { get; set; }
        public double? Effmoter { get; set; }
        [Column("COP")]
        public double? Cop { get; set; }

        [ForeignKey("SiteId,BuildingId,DeviceId")]
        [InverseProperty("BemsFaultDiagnosis")]
        public virtual BemsDevice BemsDevice { get; set; }
        [ForeignKey("FaultTypeId,ServerityLevel")]
        [InverseProperty("BemsFaultDiagnosis")]
        public virtual BemsFaultServerityLevel BemsFaultServerityLevel { get; set; }
    }
}
